Поддержка Проблемы и решения Прроблема с совместимостью jQuery. Help !

  • Доброго времени суток друзья.

    Имеется плагин лайтбокса https://ru.wordpress.org/plugins/wp-sexylightbox/ (Обновление: 9 лет назад), один раз настроил и забыл на долгие года. Но проблема кроется в том, что если версия выше 1.8.3, то лайтбокс перестает работать (((

    Помогите пожалуйста, как его подправить, чтобы все работало ? И если подскажите, как перевести плагин в функцию — буду очень признателен. Не вижу смысла держать целый плагин ради функционала, которые настраивался 1 раз и c 2010 года работает с этими настройками.

    Скрин настроек: http://joxi.ru/J2b5NxWuGxoJKm

    Благодарю всех, кто не прошел мимо моей проблемы

    Страница, с которой нужна помощь: [войдите, чтобы увидеть ссылку]

Просмотр 6 ответов — с 1 по 6 (всего 6)
  • ставьте другой плагин — плагинов лайтбокса вагон и маленькая тележка.

    @flector, это все конечно прекрасно, но зачем менять одно на другое, если изначальный плагин меня почти полностью устраивает ? Тем более, что использование нового плагина повлечет за собой правку всех постов, где используется rel=»sexylightbox[id].

    В данный момент проблема лишь в устаревшей библиотеки jQuery

    • Ответ изменён 2 года, 11 месяцев назад пользователем AlexOff.

    Тем более, что использование нового плагина повлечет за собой правку всех постов, где используется rel=»sexylightbox[id].

    нормальные плагины работают без правки rel. установил, активировал — все, ничего больше править не надо.

    а использовать плагины 9-летней давности — это маразм чистой воды.

    @flector, есть на примете тот плагин, которые буде игнорировать имеющийся rel ? К сожалению в данный момент нет возможности протестить несколько плагинов (((

    проблема лишь в устаревшей библиотеки jQuery

    Это «лишь» может быть фатальным. Впрочем, Вы вправе переписать любимый плагин под другую версию jQuery, если не получится уговорить автора плагина сделать это.

    p.s. Кстати, на форуме поддержки плагина есть вопрос про неработу и совет. Надеюсь, видели и уже воспользовались.

    • Ответ изменён 2 года, 11 месяцев назад пользователем Юрий.
Просмотр 6 ответов — с 1 по 6 (всего 6)
  • Тема «Прроблема с совместимостью jQuery. Help !» закрыта для новых ответов.